Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create support webhook jam

POST/support/webhooks/jam/{publicKeyId}
Path parameters
publicKeyIdstringrequired
Header parameters
svix-idstringrequired
svix-timestampstringrequired
svix-signaturestringrequired
Request body
application/json
jamIdstringrequired
jamUrlstringrequired
teamIdstringrequired
typestringrequired
Allowed:videoscreenshotsessionReplay
createdAtstringrequired
titlestring
descriptionstring
originalUrlstring
originstring
isIncognitoboolean
authorobject
default: {}
Show properties
emailstring
namestring
mediaobject
default: {}
Show properties
videoUrlstring
screenshotUrlstring
thumbnailUrlstring
systemInfoobject
Show properties
browserobject
Show properties
namestring
versionstring
osobject
Show properties
namestring
versionstring
screenobject
Show properties
widthnumber
heightnumber
batteryobject
Show properties
chargingboolean
levelnumber
connectionobject
Show properties
effectiveTypestring
downlinkMbpsnumber
rttMsnumber
consoleLogsobject[]
Show properties
Array of object
levelstring
messagestring
timestampstring
networkRequestsobject[]
Show properties
Array of object
urlstring
methodstring
statusnumber
durationnumber
requestHeadersobject
responseHeadersobject
userEventsobject[]
Show properties
Array of object
typestring
timestampstring
selectorstring
targetstring
valuestring
recordingLinkobject
Show properties
publicIdstring
typestring
Allowed:one_timereusable
recordingUrlstring
descriptionstring
referencestring
submitterCommentstring
intercomobject
Show properties
conversationIdstring
issueIdstring
linearobject
Show properties
conversationIdstring
issueIdstring
Responses
200Jam captured
ticketIdstring | nullrequired
deliveryIdstring
401Invalid webhook
404Public key or ticket not found
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/support/webhooks/jam/string" \
  -H "svix-id: string" \
  -H "svix-timestamp: string" \
  -H "svix-signature: string" \
  -H "Content-Type: application/json" \
  -d '{
  "jamId": "string",
  "jamUrl": "string",
  "teamId": "string",
  "type": "video",
  "createdAt": "string",
  "title": "string",
  "description": "string",
  "originalUrl": "string",
  "origin": "string",
  "isIncognito": true,
  "author": {},
  "media": {},
  "systemInfo": {
    "browser": {
      "name": "string",
      "version": "string",
      "property1": null,
      "property2": null
    },
    "os": {
      "name": "string",
      "version": "string",
      "property1": null,
      "property2": null
    },
    "screen": {
      "width": 0,
      "height": 0,
      "property1": null,
      "property2": null
    },
    "battery": {
      "charging": true,
      "level": 0,
      "property1": null,
      "property2": null
    },
    "connection": {
      "effectiveType": "string",
      "downlinkMbps": 0,
      "rttMs": 0,
      "property1": null,
      "property2": null
    },
    "property1": null,
    "property2": null
  },
  "consoleLogs": [
    {
      "level": "string",
      "message": "string",
      "timestamp": "string",
      "property1": null,
      "property2": null
    }
  ],
  "networkRequests": [
    {
      "url": "string",
      "method": "string",
      "status": 0,
      "duration": 0,
      "requestHeaders": {
        "property1": "string",
        "property2": "string"
      },
      "responseHeaders": {
        "property1": "string",
        "property2": "string"
      },
      "property1": null,
      "property2": null
    }
  ],
  "userEvents": [
    {
      "type": "string",
      "timestamp": "string",
      "selector": "string",
      "target": "string",
      "value": "string",
      "property1": null,
      "property2": null
    }
  ],
  "recordingLink": {
    "publicId": "string",
    "type": "one_time",
    "recordingUrl": "string",
    "description": "string",
    "reference": "string",
    "submitterComment": "string",
    "property1": null,
    "property2": null
  },
  "intercom": {
    "conversationId": "string",
    "issueId": "string",
    "property1": null,
    "property2": null
  },
  "linear": {
    "conversationId": "string",
    "issueId": "string",
    "property1": null,
    "property2": null
  },
  "property1": null,
  "property2": null
}'
Response
{
  "ticketId": "string",
  "deliveryId": "string"
}